<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('activity_meeting', function (Blueprint $table) {
            $table->id();
            $table->integer('activity_id')->comment('活动id');
            $table->string('back_images')->nullable()->comment('背景图');
            $table->string('desk_images')->nullable()->comment('座位图');
            $table->string('sign_images')->nullable()->comment('签到背景图');
            $table->text('menu')->nullable()->comment('菜单修改');
            $table->integer('total_desk')->default(0)->comment('总桌数');
            $table->integer('start_desk')->default(0)->comment('开始桌数');
            $table->integer('user_number')->default(0)->comment('每桌人数');
            $table->string('qr_code')->nullable()->comment('会议二维码');
            $table->text('qr_code_url')->nullable()->comment('会议二维码链接');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('activity_meeting');
    }
};
